Retrieve per-tenant instance type allocation stats for a site

View as Markdown

Returns instance type allocation stats grouped by tenant for the specified site.

User must have authorization role with PROVIDER_ADMIN suffix. The specified site must belong to the Provider.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringRequiredformat: "uuid"
ID of the Site

Response

OK
idstringOptionalformat: "uuid"
Unique identifier for the Tenant
orgstringOptional
Organization name for the Tenant
orgDisplayNamestringOptional
Display name for the Tenant's organization
instanceTypeslist of objectsOptional
Instance Type statistics for this Tenant

Errors

403
Forbidden Error